Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Class Insert

    java.lang.Object
      cascading.operation.BaseOperation
          cascading.operation.Insert

All Implemented Interfaces:
  Function, Operation, Serializable

    public class Insert

extends BaseOperation
implements Function

Class Insert adds literal values to the Tuple stream.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`Insert(Fields fieldDeclaration, Object... values)` Constructor Insert creates a new Insert instance with the given fields and values.

Method Summary
`boolean` | `equals(Object object)`
`Tuple` | `getValues()`
`int` | `hashCode()`
`void` | `operate(FlowProcess flowProcess, FunctionCall functionCall)` Method operate provides the implementation of this Function.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### Insert

    @ConstructorProperties(value={"fieldDeclaration","values"})
    public Insert(Fields fieldDeclaration,
                                             Object... values)

  Constructor Insert creates a new Insert instance with the given fields and values.

  Parameters:
    `fieldDeclaration` - of type Fields
    `values` - of type Object...

Method Detail

### getValues

    public Tuple getValues()

### operate

    public void operate(FlowProcess flowProcess,
                        FunctionCall functionCall)

  Description copied from interface: `Function`
  Method operate provides the implementation of this Function.

  Specified by:
    `operate` in interface `Function`
  Parameters:
    `flowProcess` - of type FlowProcess
    `functionCall` - of type FunctionCall
  See Also:
    `Function.operate(cascading.flow.FlowProcess, FunctionCall)`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.